@import "[default].parameters.css";

.article-card {
    border: 2px solid var(--color-gray-400);
    border-top: none;
    padding: var(--display-stacks-lg);
}

    .article-card .card-image {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: transform 0.5s ease;
        display: block;
    }

    /*    .article-card:hover {
        background-color: var(--color-gray-400);
    }*/

    .article-card:hover .card-image {
        transform: scale(1.05);
        background-color: var(--color-gray-400);
    }

    .article-card .overlay {
        padding: var(--display-stacks-lg);
    }

/*TOASTR*/
.clipboard-toastr-banner {
    padding: .75rem 3.5rem;
    background-color: var(--color-green-700);
    color: white;
    font-size: 1.25rem;
    position: fixed;
    bottom: 1rem;
    left: 0;
    right: 0;
    width: fit-content;
    text-align: center;
    margin: 0 auto;
    opacity: 0;
    pointer-events: none;
    font-weight: var(--font-weight-light);
    z-index: 9999;
}

    .clipboard-toastr-banner.fade-in-n-fade-out {
        animation: fadeInFadeOut 5s ease-in-out forwards;
    }

@keyframes fadeInFadeOut {
    0% {
        opacity: 0;
    }

    10% {
        opacity: 1;
    }

    90% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

/* Eventi */
.events-grid {

    .event-row {
        grid-template-columns: 100px 1fr;
        grid-template-areas:
            "logo title"
            "logo date"
            "logo location";

        &:last-child {
            border-bottom: 0 !important;
        }
    }

    .event-logo {
        grid-area: logo;
    }

    .event-title {
        grid-area: title;
    }

    .event-date {
        grid-area: date;
    }

    .event-location {
        grid-area: location;
    }

    @media (min-width: 992px) {
        .event-row {
            grid-template-columns: 120px minmax(240px, 2fr) minmax(180px, 1fr) minmax(180px, 1fr);
            grid-template-areas: "logo title date location";
        }
    }
}